Package org.eclipse.jdt.ui.text.java

# Record Class ISemanticTokensProvider.SemanticToken

java.lang.Object
java.lang.Record
org.eclipse.jdt.ui.text.java.ISemanticTokensProvider.SemanticToken

Enclosing interface:
  `ISemanticTokensProvider`

public static record ISemanticTokensProvider.SemanticToken(int ofset, int length, ISemanticTokensProvider.TokenType tokenType) extends Record

## Constructor Summary

Constructors
Constructor
Description
`SemanticToken(int ofset, int length, ISemanticTokensProvider.TokenType tokenType)`
Creates an instance of a `SemanticToken` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`int`
`length()`
Returns the value of the `length` record component.
`int`
`ofset()`
Returns the value of the `ofset` record component.
`ISemanticTokensProvider.TokenType`
`tokenType()`
Returns the value of the `tokenType` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SemanticToken

public SemanticToken(int ofset, int length, ISemanticTokensProvider.TokenType tokenType)
Creates an instance of a `SemanticToken` record class.

Parameters:
  `ofset` - the value for the `ofset` record component
  `length` - the value for the `length` record component
  `tokenType` - the value for the `tokenType` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### ofset

public int ofset()
Returns the value of the `ofset` record component.

Returns:
  the value of the `ofset` record component

### length

public int length()
Returns the value of the `length` record component.

Returns:
  the value of the `length` record component

### tokenType

public ISemanticTokensProvider.TokenType tokenType()
Returns the value of the `tokenType` record component.

Returns:
  the value of the `tokenType` record component